Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: clubex on 2013/03/16, 00:02:21

Title: Nvidia upgrade 304.84 breaks tty
Post by: clubex on 2013/03/16, 00:02:21
After upgrade to 304.84 CTRL+ALT+F1 drops to a black tty with no cursor.

Maybe things aren't all that bad as CTRL+ALT+F7 returns the desktop just as it should.

A bug has been filed so perhaps its best to hold off the driver upgrade until the issue is resolved.
Title: RE: Nvidia upgrade 304.84 breaks tty
Post by: piper on 2013/03/16, 04:55:22
Why not just use 313.18 ?
Code: [Select]
Graphics:  Card: NVIDIA GF106 [GeForce GTS 450] X.Org: 1.12.4 driver: nvidia Resolution: 1920x1200@60.0hz
           GLX Renderer: GeForce GTS 450/PCIe/SSE2 GLX Version: 4.3.0 NVIDIA 313.18
Title: RE: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/16, 08:23:32
dmesg | grep NV
Title: RE: Nvidia upgrade 304.84 breaks tty
Post by: ralul on 2013/03/16, 10:42:19
I personally dont't have, but I know of:
https://bugs.gentoo.org/show_bug.cgi?id=461448
Title: RE: Nvidia upgrade 304.84 breaks tty
Post by: clubex on 2013/03/16, 11:47:37
towo:
I don't see what listing NVIDIA devices is going to reveal but...
Quote

dmesg |grep NV
[    0.000000] BIOS-e820: [mem 0x00000000cff9e000-0x00000000cffdffff] ACPI NVS
[    0.142122] PM: Registering ACPI NVS region [mem 0xcff9e000-0xcffdffff] (270336 bytes)
[    8.192703] input: HDA NVidia Line as /devices/pci0000:00/0000:00:05.0/sound/card0/input5
[    8.192803] input: HDA NVidia Rear Mic as /devices/pci0000:00/0000:00:05.0/sound/card0/input6
[    8.192876] input: HDA NVidia Front Mic as /devices/pci0000:00/0000:00:05.0/sound/card0/input7
[    8.192938] input: HDA NVidia Front Headphone as /devices/pci0000:00/0000:00:05.0/sound/card0/input8
[    8.193001] input: HDA NVidia Line Out as /devices/pci0000:00/0000:00:05.0/sound/card0/input9
[    8.481644] input: HDA NVidia HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:09.0/0000:02:00.1/sound/card1/input10
[    8.481748] input: HDA NVidia HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:09.0/0000:02:00.1/sound/card1/input11
[    9.350789] nvidia: module license 'NVIDIA' taints kernel.
[    9.368031] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  304.84  Wed Feb 27 04:58:49 PST 2013


piper: I'm not really concerned with my driver problems. This page is for warning others not for describing individual issues.

A bug has been filed to NVIDIA #1253579

See more at:
https://devtalk.nvidia.com/default/topic/534581/-regression-tty-screens-corrupted-on-geforce-7800-gtx-with-304-84-driver/?offset=10
Title: Re: Nvidia upgrade 304.84 breaks tty
Post by: michaa7 on 2013/03/17, 03:23:14
Quote from: "clubex"
After upgrade to 304.84 CTRL+ALT+F1 ...


I wonder how you could upgrade to 304.84 *tree days earlier* than me although I (on 32 bit) did d-u tree times a day during the last days?

And the  i386 304.84-1 which did come in the last hours, is it still the buggy one?
Title: Re: RE: Nvidia upgrade 304.84 breaks tty
Post by: Smon on 2013/03/20, 02:26:11
Maybe it isnt the right place to ask

Quote from: "piper"
Why not just use 313.18 ?


304.84 is listed in here:
http://www.nvidia.de/Download/Find.aspx?lang=de

313.18 is not listed. (Yeah, I know it is in experimental)
But why is a "non nvidia" version there?
Title: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/20, 08:00:29
Quote
But why is a "non nvidia" version there?

Hm?

Btw, 313.26-0.siduction.2 works for me without issues.
Title: Nvidia upgrade 304.84 breaks tty
Post by: clubex on 2013/03/20, 10:34:40
Quote

Btw, 313.26-0.siduction.2 works for me without issues.

+1
Title: Nvidia upgrade 304.84 breaks tty
Post by: michaa7 on 2013/03/20, 14:33:08
But heads up when you have a Geforce 6 or 7.

When updating to the experimental driver (here only the Debian/experimental driver available, not the above mentioned one from siduction) libxvmcnvidia1 will be removed. Which does not seem to be a good idea:
Quote
... NVIDIA binary XvMC library
 These binary library provides the NVIDIA XvMC implementation which supports
 GeForce 6 series and GeForce 7 series graphics cards.
 See /usr/share/doc/libgl1-nvidia-glx/README.txt.gz
 for instructions how to enable XvMC acceleration.


Quote
# apt-cache policy nvidia-glx
nvidia-glx:
  Installiert:           304.64-4
  Installationskandidat: 304.84-1
  Versionstabelle:
     313.26-1 0
          1 http://ftp.de.debian.org/debian/ experimental/non-free i386 Packages
     304.84-1 0
        900 http://http.debian.net/debian/ sid/non-free i386 Packages
 *** 304.64-4 0
        500 http://ftp.de.debian.org/debian/ testing/non-free i386 Packages
        100 /var/lib/dpkg/status
     304.64-3.1 0
        900 http://packages.siduction.org/fixes/ unstable/non-free i386 Packages
     195.36.31-6squeeze2 0
        500 http://ftp.nl.debian.org/debian/ stable/non-free i386 Packages
Title: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/20, 15:31:13
Hm?
The driver from experimental does not work for cards < GeForce 8xxx, so there is no need for this lib anymore.
Title: Nvidia upgrade 304.84 breaks tty
Post by: michaa7 on 2013/03/20, 15:37:45
Thanks for making this clear to us.

But this also means, that users with Geforce 6 or 7 should stick with the driver from testing (as the unstable driver has the here mentioned bug)?
Title: Nvidia upgrade 304.84 breaks tty
Post by: Smon on 2013/03/20, 18:51:00
Quote
These binary library provides the NVIDIA XvMC implementation

I think, it only means, that XvMC is without the lib not available, i can test it on a 6xxx system later.
313.26 works for me with 2xx GTX

Quote from: "towo"
Hm?

Ich dachte, dass da mit der Bezeichnung 313.26 was nicht stimmt, weil ich den Treiber auf der Seite nicht gefunden habe. Ist aber hier zu finden: ftp://download.nvidia.com/XFree86/Linux-x86/
von daher: mein versehen.
Title: Nvidia upgrade 304.84 breaks tty
Post by: michaa7 on 2013/03/20, 19:20:56
Quote from: "Smon"
...
Ich dachte, dass da mit der Bezeichnung 313.26 was nicht stimmt, weil ich den Treiber auf der Seite nicht gefunden habe. Ist aber hier zu finden: ftp://download.nvidia.com/XFree86/Linux-x86/
...


Ganz allgemein reden wir hier eigentlich nie über treiber von ftp://download.nvidia.com/$, sondern nur über welche aus Debian oder siduction repos.

Für 313.26 mußt du natürlich das Debian/*experimental* repo bemühen (siehe weiter oben).



Generally we don't speak here about drivers from ftp://download.nvidia.com/$. Instead we use Debian or siduction repos.

You may find 313.26 in Debian/*experimental* (see above).
Title: Nvidia upgrade 304.84 breaks tty
Post by: Smon on 2013/03/20, 21:06:37
313.26-1 from experimental does NOT work with my 6xxx
modprobe says:
ERROR: could not insert nvidia: No such device

OT:
Ja michaa, ich weiß. Ich habe meine auch aus dem Experimental. Ich schaue nur ab und an mal kurz drüber, was die Version "neues" bringt. Als es dann die Version 313.26 auf http://www.nvidia.de/Download/Find.aspx?lang=de nicht gab, war ich kurz verwirrt und dachte, dass da vll Debian eine falsche Versionnummer "angegeben" hat, hab dann aber die Version auf dem FTP gefunden, von daher hatte sich das erledigt.
Title: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/20, 21:12:43
Quote from: "Smon"
313.26-1 from experimental does NOT work with my 6xxx
modprobe says:
ERROR: could not insert nvidia: No such device

Und das überrascht Dich?
Quote from: "towo"
The driver from experimental does not work for cards < GeForce 8xxx
Title: Nvidia upgrade 304.84 breaks tty
Post by: c-bob on 2013/03/26, 14:53:55
Towo, haste da etwas mehr hintergrundinfos? Mich ärgert das auch. Du schrobst, der 313.26*siduction* würde bei dir laufen - hast du nvidia? hast daran etwas verändert, dass auch wieder die console funktioniert?
Title: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/26, 14:59:47
Ja, ich habe eien Nvidia Karte.
Ja, ich benutze den Treiber  313.26-0.siduction.2, welcher in unserem experimental-Repo liegt.
Nein, ich habe an diesem Treiber nichts verändert, aber ich hatten den eher paketiert, als diese Version nach Debian-Experimental kam.
Da ich ein fauler Mensch bin, hab ich diese Version enfach behalten und ich hab damit auch keine Probleme mit TTY.
Title: Nvidia upgrade 304.84 breaks tty
Post by: harley-peter on 2013/03/29, 17:23:27
Hi towo,

ich habe dasselbe Problem und eine GeForce 210. Weißt du zufällig ob die mit dem Treiber aus Experimental spielt? Lt. Nvidia-Homepage bieten die dafür eine Version 310.40 an.
Danke für einen Tip!

Gruß
Peter
Title: Nvidia upgrade 304.84 breaks tty
Post by: towo on 2013/03/29, 17:56:30
Alles über GeForce 7xxx wird von 313.xx supported.
Title: Nvidia upgrade 304.84 breaks tty
Post by: VoFiWG on 2013/04/04, 15:11:48
Nach heutigem d-u funktioniert es bei mir wieder.

Nvidia 304.88-1 und Kernel 3.8-5.towo-siduction-amd64
Title: Nvidia upgrade 304.84 breaks tty
Post by: Gabriel_M on 2013/04/04, 16:06:59
Fixed with version 304.88-1